Index: trunk/test/unit/org/openstreetmap/josm/plugins/PluginDownloadExceptionTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/plugins/PluginDownloadExceptionTest.java	(revision 17195)
+++ trunk/test/unit/org/openstreetmap/josm/plugins/PluginDownloadExceptionTest.java	(revision 17275)
@@ -2,8 +2,8 @@
 package org.openstreetmap.josm.plugins;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.testutils.JOSMTestRules;
 
@@ -13,10 +13,10 @@
  * Unit tests of {@link PluginDownloadException} class.
  */
-public class PluginDownloadExceptionTest {
+class PluginDownloadExceptionTest {
 
     /**
      * Setup test.
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules();
@@ -26,5 +26,5 @@
      */
     @Test
-    public void testPluginDownloadException() {
+    void testPluginDownloadException() {
         PluginDownloadException ex = new PluginDownloadException("foo");
         assertEquals("foo", ex.getMessage());
Index: trunk/test/unit/org/openstreetmap/josm/plugins/PluginExceptionTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/plugins/PluginExceptionTest.java	(revision 17195)
+++ trunk/test/unit/org/openstreetmap/josm/plugins/PluginExceptionTest.java	(revision 17275)
@@ -2,8 +2,8 @@
 package org.openstreetmap.josm.plugins;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.testutils.JOSMTestRules;
 
@@ -13,10 +13,10 @@
  * Unit tests of {@link PluginException} class.
  */
-public class PluginExceptionTest {
+class PluginExceptionTest {
 
     /**
      * Setup test.
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules();
@@ -26,5 +26,5 @@
      */
     @Test
-    public void testPluginDownloadException() {
+    void testPluginDownloadException() {
         PluginException ex = new PluginException("foo");
         assertEquals("foo", ex.getMessage());
Index: trunk/test/unit/org/openstreetmap/josm/plugins/PluginHandlerTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/plugins/PluginHandlerTest.java	(revision 17195)
+++ trunk/test/unit/org/openstreetmap/josm/plugins/PluginHandlerTest.java	(revision 17275)
@@ -2,8 +2,8 @@
 package org.openstreetmap.josm.plugins;
 
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertFalse;
-import static org.junit.Assert.assertNotNull;
-import static org.junit.Assert.assertTrue;
+import static org.junit.jupiter.api.Assertions.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertFalse;
+import static org.junit.jupiter.api.Assertions.assertNotNull;
+import static org.junit.jupiter.api.Assertions.assertTrue;
 
 import java.util.ArrayList;
@@ -17,6 +17,6 @@
 import javax.swing.JScrollPane;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.TestUtils;
 import org.openstreetmap.josm.gui.MainApplication;
@@ -35,10 +35,10 @@
  * Unit tests of {@link PluginHandler} class.
  */
-public class PluginHandlerTest {
+class PluginHandlerTest {
 
     /**
      * Setup test.
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules();
@@ -48,5 +48,5 @@
      */
     @Test
-    public void testEqualsContract() {
+    void testEqualsContract() {
         TestUtils.assumeWorkingEqualsVerifier();
         EqualsVerifier.forClass(DeprecatedPlugin.class).usingGetClass().verify();
@@ -57,5 +57,5 @@
      */
     @Test
-    public void testBuildListOfPluginsToLoad() {
+    void testBuildListOfPluginsToLoad() {
         TestUtils.assumeWorkingJMockit();
         final HelpAwareOptionPaneMocker haMocker = new HelpAwareOptionPaneMocker(
@@ -100,5 +100,5 @@
      */
     @Test
-    public void testFilterDeprecatedPlugins() {
+    void testFilterDeprecatedPlugins() {
         TestUtils.assumeWorkingJMockit();
         final JOptionPaneSimpleMocker jopsMocker = new JOptionPaneSimpleMocker(
@@ -125,5 +125,5 @@
      */
     @Test
-    public void testFilterUnmaintainedPlugins() {
+    void testFilterUnmaintainedPlugins() {
         TestUtils.assumeWorkingJMockit();
         final HelpAwareOptionPaneMocker haMocker = new HelpAwareOptionPaneMocker(
@@ -152,5 +152,5 @@
      */
     @Test
-    public void testPluginInformationAction() throws PluginException {
+    void testPluginInformationAction() throws PluginException {
         TestUtils.assumeWorkingJMockit();
         final String expectedText = "Ant-Version: Apache Ant 1.9.6\n" +
Index: trunk/test/unit/org/openstreetmap/josm/plugins/PluginHandlerTestIT.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/plugins/PluginHandlerTestIT.java	(revision 17195)
+++ trunk/test/unit/org/openstreetmap/josm/plugins/PluginHandlerTestIT.java	(revision 17275)
@@ -2,7 +2,7 @@
 package org.openstreetmap.josm.plugins;
 
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertFalse;
-import static org.junit.Assert.assertTrue;
+import static org.junit.jupiter.api.Assertions.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertFalse;
+import static org.junit.jupiter.api.Assertions.assertTrue;
 
 import java.awt.GraphicsEnvironment;
@@ -21,7 +21,7 @@
 import java.util.stream.Collectors;
 
-import org.junit.BeforeClass;
 import org.junit.ClassRule;
-import org.junit.Test;
+import org.junit.jupiter.api.BeforeAll;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.TestUtils;
 import org.openstreetmap.josm.data.Preferences;
@@ -59,5 +59,5 @@
      * @throws IOException in case of I/O error
      */
-    @BeforeClass
+    @BeforeAll
     public static void beforeClass() throws IOException {
         errorsToIgnore.addAll(TestUtils.getIgnoredErrorMessages(PluginHandlerTestIT.class));
@@ -68,5 +68,5 @@
      */
     @Test
-    public void testValidityOfAvailablePlugins() {
+    void testValidityOfAvailablePlugins() {
         loadAllPlugins();
 
@@ -109,5 +109,5 @@
                 Arrays.toString(layerExceptions.entrySet().toArray()) + '\n'
                 + Arrays.toString(noRestartExceptions.entrySet().toArray());
-        assertTrue(msg, invalidManifestEntries.isEmpty() && loadingExceptions.isEmpty() && layerExceptions.isEmpty());
+        assertTrue(invalidManifestEntries.isEmpty() && loadingExceptions.isEmpty() && layerExceptions.isEmpty(), msg);
     }
 
@@ -254,5 +254,5 @@
         // Restore default timeout
         Config.getPref().putInt("socket.timeout.read", defTimeout);
-        assertTrue(pluginDownloadTask.getFailedPlugins().toString(), pluginDownloadTask.getFailedPlugins().isEmpty());
+        assertTrue(pluginDownloadTask.getFailedPlugins().isEmpty(), pluginDownloadTask.getFailedPlugins()::toString);
         assertEquals(plugins.size(), pluginDownloadTask.getDownloadedPlugins().size());
 
Index: trunk/test/unit/org/openstreetmap/josm/plugins/PluginListParseExceptionTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/plugins/PluginListParseExceptionTest.java	(revision 17195)
+++ trunk/test/unit/org/openstreetmap/josm/plugins/PluginListParseExceptionTest.java	(revision 17275)
@@ -2,8 +2,8 @@
 package org.openstreetmap.josm.plugins;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.testutils.JOSMTestRules;
 
@@ -13,10 +13,10 @@
  * Unit tests of {@link PluginListParseException} class.
  */
-public class PluginListParseExceptionTest {
+class PluginListParseExceptionTest {
 
     /**
      * Setup test.
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules();
@@ -26,5 +26,5 @@
      */
     @Test
-    public void testPluginListParseException() {
+    void testPluginListParseException() {
         NullPointerException npe = new NullPointerException();
         PluginListParseException ex = new PluginListParseException(npe);
